var override_queryfields = [ 
{
	name : 'lease_start_date_from',
	queryexpression : "t1.inception_of_lease >= to_date(${@lease_start_date_from},'yyyy-mm-dd')"
},
{
	name : 'lease_start_date_to',
	queryexpression : "t1.inception_of_lease <= to_date(${@lease_start_date_to},'yyyy-mm-dd')"
},
{
	name : 'hd_user_col_v02_from',
	queryexpression : "t1.hd_user_col_v02 >= ${@hd_user_col_v02_from}"
},
{
	name : 'hd_user_col_v02_to',
	queryexpression : "t1.hd_user_col_v02 <= ${@hd_user_col_v02_to}"
},
{
	name : 'status30_flag',
	queryexpression : "decode(${@status30_flag},'N',t1.archive_status,'20') != '30'"
}
];

var add_datafilters=[{
	name:'authority_flag',
	expression : "exists (select 1 from sys_user su where (su.bp_category = 'EMPLOYEE' or t1.bp_id_agent_level1=su.bp_id) and su.user_id = ${/session/@user_id})"
},
{	name:'init_filter',
	expression : "t1.contract_status not in ('NEW','SIGN','SIGN_REJECT','CHANGE','PENDING','CANCEL')"
	
}
];

add_datafilter();

override();
